<?php

define( 'JDCAPTCHA_VERSION', '6.0.0' );
define( 'JDCAPTCHA_TIMEOUT', 300 );
define( 'JDCAPTCHA_CLIENT', 'php-linux' );

$t_config = array();
$t_config['username'] = '';
$t_config['api_password'] = '';
$t_config['remote_port'] = false;
$t_config['remote_host'] = 'localhost';
$t_config['webinterface_port'] = false;
$t_config['webinterface_host'] = 'localhost';
$t_config['webinterface_https'] = false;
$t_config['webinterface_login'] = '';
$t_config['webinterface_password'] = '';
$t_config['logfile'] = false;

if ( file_exists( dirname( __FILE__ ) . DIRECTORY_SEPARATOR . 'config.inc.php' ) ) {
    $t_remote_port = false;
    $t_remote_host = 'localhost';
    $t_webinterface_port = false;
    $t_webinterface_host = 'localhost';
    $t_webinterface_https = false;
    $t_webinterface_login = '';
    $t_webinterface_password = '';
    include( dirname( __FILE__ ) . DIRECTORY_SEPARATOR . 'config.inc.php' );
    $t_config['username'] = $t_username;
    $t_config['api_password'] = $t_api_password;
    $t_config['remote_port'] = $t_remote_port;
    $t_config['remote_host'] = $t_remote_host;
    $t_config['webinterface_port'] = $t_webinterface_port;
    $t_config['webinterface_host'] = $t_webinterface_host;
    $t_config['webinterface_https'] = $t_webinterface_https;
    $t_config['webinterface_login'] = $t_webinterface_login;
    $t_config['webinterface_password'] = $t_webinterface_password;
    $t_file = fopen( dirname( __FILE__ ) . DIRECTORY_SEPARATOR . 'jdCaptcha.conf', 'w' );
    if ( $t_file ) {
        foreach( $t_config as $t_key => $t_value ) {
            fwrite( $t_file, $t_key . '=' );
            if ( is_bool( $t_value ) && $t_value ) {
                fwrite( $t_file, 'true' );
            } else if ( is_bool( $t_value ) ) {
                fwrite( $t_file, 'false' );
            } else {
                fwrite( $t_file, $t_value );
            }
            fwrite( $t_file, "\n" );
        }
        fclose( $t_file );
    }
}

if ( file_exists( dirname( __FILE__ ) . DIRECTORY_SEPARATOR . 'jdCaptcha.conf' ) ) {
    $t_file = fopen( dirname( __FILE__ ) . DIRECTORY_SEPARATOR . 'jdCaptcha.conf', 'r' );
    if ( $t_file ) {
        while( !feof( $t_file ) ) {
            $t_line = explode( '=', str_replace( "\n", '', fgets( $t_file ) ) );
            if ( strtolower( $t_line[1] ) == 'true' ) {
                $t_line[1] = true;
            } else if ( strtolower( $t_line[1] ) == 'false' ) {
                $t_line[1] = false;
            }
            if ( isset( $t_config[$t_line[0]] ) ) {
                $t_config[$t_line[0]] = $t_line[1];
            }
        }
        fclose( $t_file );
    }
}

?>
